Name:           clutter-cairo
Version:        0.8.2
Release:        3%{?dist}
Summary:        A basic Cairo clutter widget

Group:          Development/Languages
License:        LGPLv2+
URL:            http://www.clutter-project.org
Source0:        http://www.clutter-project.org/sources/%{name}/0.8/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  cairo-devel clutter-devel 

%description
This allows clutter to be embedded in cairo applications. 

%package devel
Summary:        Clutter-cairo development environment
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       cairo-devel clutter-devel

%description devel
Header files and libraries for building a extension library for the
clutter-cairo

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="%{__install} -p"

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc ChangeLog COPYING README
%exclude %{_libdir}/*.la
%{_libdir}/libclutter-cairo-0.8.so.0
%{_libdir}/libclutter-cairo-0.8.so.0.*


%files devel
%defattr(-,root,root,-)
%doc examples/clock.c examples/flowers.c examples/bubbles.c
%{_libdir}/pkgconfig/clutter-cairo-0.8.pc
%{_libdir}/libclutter-cairo-0.8.so
%{_includedir}/clutter-0.8/clutter-cairo

%changelog
* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild


* Fri Jan 23 2009 Allisson Azevedo <allisson@gmail.com> 0.8.2-2
- Rebuild

* Sat Sep  6 2008 Allisson Azevedo <allisson@gmail.com> 0.8.2-1
- Update to 0.8.2

* Sat May 24 2008 Allisson Azevedo <allisson@gmail.com> 0.6.2-1
- Initial RPM release
